[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.MoveNextAuto

Moves to the next cell in the auto-advance sequence.

## Declaration

Source position: grids.pas line 1156

`protected function TCustomGrid.MoveNextAuto(`
`const Inverse: Boolean`
`):Boolean;`

## Arguments

`Inverse` |  | True to move to the previous cell in the auto-advance sequence. False (the default value) to move forward in the sequence.

## Function result

True if a column and row number were successfully determined for the movement.

## Description

MoveNextAuto calls the GetDeltaMoveNext method to determine the column and row number for the next cell in the auto-advance sequence. It also sets the return value for the method. When it returns True, the MoveNextSelectable method is called to move to the new cell position in the direction indicated by Inverse.

MoveNextAuto is called from the EditorKeyPress method when the Enter or Shift+Enter key press is handled for the editor control on the grid.